;																				
; Warteschleifen																
; Version: 24.11.2011															
; 1MHz Takt																		
; 																				
; Hinweis: die Wartezeiten stimmen nur dann, wenn kein Interruptaufruf erfolgt	
;																				
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.5s Pause																	
wait_5us:                              
	NOP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 10s PAUSE																
WAIT_10us:
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.50s Pause																	
wait_50us:                              
	push temp1          ; temp1 auf dem Stack sichern            
;------------
	ldi  temp1, 12		; (12 bei 1MHz)	
wait_50us_w: 
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_50us_w
;------------
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.100s Pause																
wait_100us:                              
	push temp1          ; temp1 auf dem Stack sichern            
;------------
	ldi  temp1, 12		; (50 bei 1MHz)	
wait_100us_w: 
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_100us_w
;------------
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 500s PAUSE																
WAIT_500us:
	push temp1          ; temp1 auf dem Stack sichern            
;------------
	ldi  temp1,125		; (125 bei 1MHz)	
wait_500us_w: 
    WDR					; WATCH-DOG			
	dec  temp1
    brne wait_500us_w
;------------
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_1ms:                               
	push temp1           ; temp1 auf dem Stack sichern            
	push temp2           ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,1			; (1 bei 1MHz)	
wait_1ms_w:
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_1ms_w
    dec  temp2
    brne wait_1ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 5ms Pause																	
wait_5ms:                               
	push temp1           ; temp1 auf dem Stack sichern            
	push temp2           ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,5			; (5 bei 1MHz)	
wait_5ms_w:
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_5ms_w
    dec  temp2
    brne wait_5ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 20ms Pause																
wait_20ms:                               
	push temp1         	; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,20		; ( 20 bei 1MHz)	
wait_20ms_w:
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_20ms_w
    dec  temp2
    brne wait_20ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 100ms Pause																
WAIT_100ms:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
;------------
	clr	temp1			
	ldi	temp2,98		; (98 bei 1MHz)	
WAIT_100ms_w:	
    WDR					; WATCH-DOG		
	dec	 temp1
	brne WAIT_100ms_w
	dec	 temp2		
	brne WAIT_100ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 1s Pause																	
WAIT_1s:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
	push temp3          ; temp3 auf dem Stack sichern            

;------------
	clr	temp1			
	clr temp2
	ldi	temp3,4			; (4 bei 1MHz)	
wait1s_w:	
    WDR					; WATCH-DOG		
	dec	temp1
	brne	wait1s_w
	dec	temp2		
	brne	wait1s_w
	dec	temp3
	brne	wait1s_w
;------------
	pop temp3      		; temp3 wiederherstellen                    
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
